Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 2143)
+++ admin/auth.php	(revision 1949)
@@ -268,5 +268,4 @@
   <meta name="viewport" content="width=device-width, initial-scale=1.0" />
   <title><?php echo html::escapeHTML(DC_VENDOR_NAME); ?></title>
-  <link rel="icon" type="image/png" href="images/favicon-off.png" />
   
 <?php
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 2145)
+++ admin/blogs.php	(revision 2107)
@@ -31,15 +31,12 @@
 $order = !empty($_GET['order']) ? $_GET['order'] : 'desc';
 
-$show_filters = false;
-
 $page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
 $nb_per_page =  30;
 
 if (!empty($_GET['nb']) && (integer) $_GET['nb'] > 0) {
-	if ($nb_per_page != $_GET['nb']) {
-		$show_filters = true;
-	}
 	$nb_per_page = (integer) $_GET['nb'];
 }
+
+$show_filters = false;
 	
 # - Search filter
@@ -72,16 +69,8 @@
 /* DISPLAY
 -------------------------------------------------------- */
-
-$form_filter_title = __('Show filters and display options');
-$starting_script  = dcPage::jsLoad('js/filter-controls.js');
-$starting_script .=
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA["."\n".
-	dcPage::jsVar('dotclear.msg.show_filters', $show_filters ? 'true':'false')."\n".
-	dcPage::jsVar('dotclear.msg.filter_posts_list',$form_filter_title)."\n".
-	dcPage::jsVar('dotclear.msg.cancel_the_filter',__('Cancel filters and display options'))."\n".
-	"//]]>".
-	"</script>";
-
+$starting_script = '';
+if (!$show_filters) {
+	$starting_script .= dcPage::jsLoad('js/filter-controls.js');
+}
 dcPage::open(__('List of blogs'),$starting_script,
 	dcPage::breadcrumb(
@@ -100,4 +89,8 @@
 	if ($core->auth->isSuperAdmin()) {
 		echo '<p class="top-add"><a class="button add" href="blog.php">'.__('Create a new blog').'</a></p>';
+	}
+	
+	if (!$show_filters) {
+		echo '<p><a id="filter-control" class="form-control" href="#">'.__('Filter blogs list').'</a></p>';
 	}
 	
@@ -131,9 +124,5 @@
 	if ($nb_blog == 0)
 	{
-		if( $show_filters ) {
-			echo '<p><strong>'.__('No blog matches the filter').'</strong></p>';
-		} else {
-			echo '<p><strong>'.__('No blog').'</strong></p>';
-		}
+		echo '<p><strong>'.__('No blog').'</strong></p>';
 	}
 	else
@@ -145,14 +134,5 @@
 		echo
 		'<div class="table-outer">'.
-		'<table class="clear">';
-		
-		if( $show_filters ) {
-			echo '<caption>'.sprintf(__('List of %s blogs match the filter.'), $nb_blog).'</caption>';
-		} else {
-			echo '<caption class="hidden">'.__('Blogs list').'</caption>';
-		}
-				
-		echo 
-		'<tr>'.
+		'<table class="clear"><caption class="hidden">'.__('Blogs list').'</caption><tr>'.
 		'<th scope="col" class="nowrap">'.__('Blog id').'</th>'.
 		'<th scope="col">'.__('Blog name').'</th>'.
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 2125)
+++ admin/categories.php	(revision 1988)
@@ -157,9 +157,9 @@
 
 		echo   
-		'<p class="cat-title"><label class="classic" for="cat_'.$rs->cat_id.'"><a href="category.php?id='.$rs->cat_id.'">'.html::escapeHTML($rs->cat_title).'</a></label> </p>'.
-		'<p class="cat-nb-posts">(<a href="posts.php?cat_id='.$rs->cat_id.'">'.
+		'<p><label class="classic" for="cat_'.$rs->cat_id.'"><a href="category.php?id='.$rs->cat_id.'">'.html::escapeHTML($rs->cat_title).'</a></label> </p>'.
+		'<p>(<a href="posts.php?cat_id='.$rs->cat_id.'">'.
 		sprintf(($rs->nb_post > 1 ? __('%d entries') : __('%d entry') ),$rs->nb_post).'</a>'.
 		', '.__('total:').' '.$rs->nb_total.')</p>'.
-		'<p class="cat-url">'.__('URL:').' <code>'.html::escapeHTML($rs->cat_url).'</code></p>';
+		'<p><span class="cat-url">'.__('URL:').' <code>'.html::escapeHTML($rs->cat_url).'</code></span></p>';
 
 		echo
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 2145)
+++ admin/comments.php	(revision 1999)
@@ -152,16 +152,8 @@
 /* DISPLAY
 -------------------------------------------------------- */
-
-$form_filter_title = __('Show filters and display options');
-$starting_script  = dcPage::jsLoad('js/_comments.js');
-$starting_script .= dcPage::jsLoad('js/filter-controls.js');
-$starting_script .=
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA["."\n".
-	dcPage::jsVar('dotclear.msg.show_filters', $show_filters ? 'true':'false')."\n".
-	dcPage::jsVar('dotclear.msg.filter_posts_list',$form_filter_title)."\n".
-	dcPage::jsVar('dotclear.msg.cancel_the_filter',__('Cancel filters and display options'))."\n".
-	"//]]>".
-	"</script>";
+$starting_script = dcPage::jsLoad('js/_comments.js');
+if (!$show_filters) {
+	$starting_script .= dcPage::jsLoad('js/filter-controls.js');
+}
 
 dcPage::open(__('Comments and trackbacks'),$starting_script,
@@ -211,4 +203,10 @@
 		echo '</form>';
 	}
+
+	# Filters
+	if (!$show_filters) {
+		echo '<p><a id="filter-control" class="form-control" href="#">'.
+		__('Filter comments and trackbacks list').'</a></p>';
+	}
 	
 	echo
@@ -271,6 +269,5 @@
 	'</div>'.
 	
-	'</form>',
-	$show_filters
+	'</form>'
 	);
 }
Index: admin/js/filter-controls.js
===================================================================
--- admin/js/filter-controls.js	(revision 2128)
+++ admin/js/filter-controls.js	(revision 0)
@@ -1,29 +1,9 @@
 $(function() {
-	
-	$filtersform = $('#filters-form');
-	$filtersform.before('<p><a id="filter-control" class="form-control" href="?" style="display:inline">'+dotclear.msg.filter_posts_list+'</a></p>')
-	
-	if( dotclear.msg.show_filters == 'false' ) {
-		$filtersform.hide();
-	} else {
-		$('#filter-control')
-			.addClass('open')
-			.text(dotclear.msg.cancel_the_filter);
-	}
-	
-	$('#filter-control').click(function() {
-		if( $(this).hasClass('open') ) {
-			if( dotclear.msg.show_filters == 'true' ) {
-				return true;
-			} else {
-				$filtersform.hide();
-				$(this).removeClass('open')
-					   .text(dotclear.msg.filter_posts_list);
-			}
-		} else {
-			$filtersform.show();
-			$(this).addClass('open')
-				   .text(dotclear.msg.cancel_the_filter);
-		}
+	var c = $('#filter-control');
+	c.css('display','inline');
+	$('#filters-form').hide();
+	c.click(function() {
+		$('#filters-form').show();
+		$(this).hide();
 		return false;
 	});
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 2142)
+++ admin/post.php	(revision 2091)
@@ -728,5 +728,5 @@
 	}
 	
-	echo '<h3>'.__('Trackbacks received').'</h3>';
+	echo '<h3>'.__('Trackbacks').'</h3>';
 	
 	if (!$trackbacks->isEmpty()) {
@@ -764,5 +764,5 @@
 		'</p>'.
 
-		'<p><label for="tb_excerpt" class="area">'.__('Excerpt to send:').'</label>'.
+		'<p><label for="tb_excerpt" class="area">'.__('Send excerpt:').'</label>'.
 		form::textarea('tb_excerpt', 60, 5, $tb_excerpt).'</p>'.
 
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 2145)
+++ admin/posts.php	(revision 2072)
@@ -212,16 +212,8 @@
 /* DISPLAY
 -------------------------------------------------------- */
-
-$form_filter_title = __('Show filters and display options');
-$starting_script  = dcPage::jsLoad('js/_posts_list.js');
-$starting_script .= dcPage::jsLoad('js/filter-controls.js');
-$starting_script .=
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA["."\n".
-	dcPage::jsVar('dotclear.msg.show_filters', $show_filters ? 'true':'false')."\n".
-	dcPage::jsVar('dotclear.msg.filter_posts_list',$form_filter_title)."\n".
-	dcPage::jsVar('dotclear.msg.cancel_the_filter',__('Cancel filters and display options'))."\n".
-	"//]]>".
-	"</script>";
+$starting_script = dcPage::jsLoad('js/_posts_list.js');
+if (!$show_filters) {
+	$starting_script .= dcPage::jsLoad('js/filter-controls.js');
+}
 
 dcPage::open(__('Entries'),$starting_script,
@@ -240,7 +232,14 @@
 {
 	echo
-	'<p class="top-add"><a class="button add" href="post.php">'.__('New entry').'</a></p>'.
+	'<p class="top-add"><a class="button add" href="post.php">'.__('New entry').'</a></p>';
+	
+	if (!$show_filters) {
+		echo '<p><a id="filter-control" class="form-control" href="#">'.
+		__('Filter posts list').'</a></p>';
+	}
+	
+	echo
 	'<form action="posts.php" method="get" id="filters-form">'.
-	'<h3 class="out-of-screen-if-js">'.$form_filter_title.'</h3>'.
+	'<h3 class="hidden">'.__('Filter posts list').'</h3>'.
 
 	'<div class="table">'.
@@ -304,6 +303,5 @@
 	$core->formNonce().
 	'</div>'.
-	'</form>',
-	$show_filters
+	'</form>'
 	);
 }
Index: admin/style/default.css
===================================================================
--- admin/style/default.css	(revision 2142)
+++ admin/style/default.css	(revision 2149)
@@ -1218,5 +1218,5 @@
 	}
 th.first img {
-	padding-right: 34px;
+	padding-right: 24px;
 	}
 tr.line img.expand, th img.expand {
@@ -1298,7 +1298,4 @@
 	padding-left: 20px;
 	color: #000;
-	}
-a.form-control.open {
-	background: url(../images/hide.png) no-repeat 4px center;
 	}
 #filters-form {
@@ -1676,9 +1673,7 @@
 		padding: .66em 1em;
 		border: 1px solid #bbb;
+		border-left: 6px solid #bbb;
 		border-radius: 3px;
 		}
-		.cat-line label {
-			margin-right: .25em;
-			}
 		.cat-line label a {
 			font-weight: bold;
@@ -1687,10 +1682,4 @@
 			margin: 0;
 			display: inline-block;
-			}
-		p.cat-title {
-			margin-right: 1em;
-			}
-		.cat-nb-posts a {
-			color: #333;
 			}
 		.cat-url {
@@ -1710,4 +1699,7 @@
 	margin-right: .25em;
 	}
+.cat-line label {
+	margin-right: .25em;
+	}
 .cat-buttons .reset {
 	padding-left: 4px;
@@ -1720,5 +1712,12 @@
 .cat-line .cat-line {
 	border: 1px solid #dfdfdf;
-	}
+	border-left-width: 3px;
+	}
+#categories h4 {
+	margin: 0;
+	}
+	#categories h4 span {
+		font-weight: normal;
+		}
 .cat-actions {
 	line-height: 2;
@@ -1969,8 +1968,11 @@
 	vertical-align: middle;
 	}
+.icon img {
+	width: 16px;
+	height: 16px;
+	}
 .distrib img {
 	display: block;
 	float: right;
-	margin-top: -1em;
 	}
 /* ---------------------------------------------------------- post.php, page.php */
@@ -2011,7 +2013,4 @@
 		border-bottom: 1px solid #ddd;
 		margin-bottom: 1em;
-		}
-	#tb_excerpt {
-		width: 100%;
 		}
 /* ---------------------------------------------------------- preferences.php */
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 2145)
+++ admin/users.php	(revision 1912)
@@ -38,5 +38,4 @@
 $core->callBehavior('adminUsersActionsCombo',array(&$combo_action));
 
-$show_filters = false;
 
 #?Get users
@@ -45,7 +44,4 @@
 
 if (!empty($_GET['nb']) && (integer) $_GET['nb'] > 0) {
-	if ($nb_per_page != $_GET['nb']) {
-		$show_filters = true;
-	}
 	$nb_per_page = $_GET['nb'];
 }
@@ -57,4 +53,5 @@
 $params['limit'] = array((($page-1)*$nb_per_page),$nb_per_page);
 
+$show_filters = false;
 
 # - Search filter
@@ -92,16 +89,8 @@
 /* DISPLAY
 -------------------------------------------------------- */
-
-$form_filter_title = __('Show filters and display options');
-$starting_script  = dcPage::jsLoad('js/_users.js');
-$starting_script .= dcPage::jsLoad('js/filter-controls.js');
-$starting_script .=
-	'<script type="text/javascript">'."\n".
-	"//<![CDATA["."\n".
-	dcPage::jsVar('dotclear.msg.show_filters', $show_filters ? 'true':'false')."\n".
-	dcPage::jsVar('dotclear.msg.filter_posts_list',$form_filter_title)."\n".
-	dcPage::jsVar('dotclear.msg.cancel_the_filter',__('Cancel filters and display options'))."\n".
-	"//]]>".
-	"</script>";
+$starting_script = dcPage::jsLoad('js/_users.js');
+if (!$show_filters) {
+	$starting_script .= dcPage::jsLoad('js/filter-controls.js');
+}
 
 dcPage::open(__('Users'),$starting_script,
@@ -123,7 +112,13 @@
 	
 	echo
-	'<p class="top-add"><strong><a class="button add" href="user.php">'.__('New user').'</a></strong></p>'.
+	'<p class="top-add"><strong><a class="button add" href="user.php">'.__('New user').'</a></strong></p>';
+	
+	if (!$show_filters) {
+		echo '<p><a id="filter-control" class="form-control" href="#">'.__('Filter users list').'</a></p>';
+	}
+	
+	echo
 	'<form action="users.php" method="get" id="filters-form">'.
-	'<h3 class="out-of-screen-if-js">'.$form_filter_title.'</h3>'.
+	'<h3 class="hidden">'.__('Filter users list').'</h3>'.
 	
 	'<div class="table">'.
@@ -171,6 +166,5 @@
 	'</p>'.
 	'</div>'.
-	'</form>',
-	$show_filters
+	'</form>'
 	);
 }
